org.optaplanner.core.impl.heuristic.selector.common.iterator

## Class SingletonIterator<T>

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.common.iterator.SingletonIterator<T>

- All Implemented Interfaces:
    Iterator<T>, ListIterator<T>

      public class SingletonIterator<T>
      extends Object
      implements ListIterator<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonIterator(T singleton)`
    `SingletonIterator(T singleton, int index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(T t)`
    `boolean` | `hasNext()`
    `boolean` | `hasPrevious()`
    `T` | `next()`
    `int` | `nextIndex()`
    `T` | `previous()`
    `int` | `previousIndex()`
    `void` | `remove()`
    `void` | `set(T t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### SingletonIterator

          public SingletonIterator(T singleton)

    - #### SingletonIterator

          public SingletonIterator(T singleton,
                                   int index)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<T>`
      Specified by:
        `hasNext` in interface `ListIterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `Iterator<T>`
      Specified by:
        `next` in interface `ListIterator<T>`

    - #### hasPrevious

          public boolean hasPrevious()

      Specified by:
        `hasPrevious` in interface `ListIterator<T>`

    - #### previous

          public T previous()

      Specified by:
        `previous` in interface `ListIterator<T>`

    - #### nextIndex

          public int nextIndex()

      Specified by:
        `nextIndex` in interface `ListIterator<T>`

    - #### previousIndex

          public int previousIndex()

      Specified by:
        `previousIndex` in interface `ListIterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<T>`
      Specified by:
        `remove` in interface `ListIterator<T>`

    - #### set

          public void set(T t)

      Specified by:
        `set` in interface `ListIterator<T>`

    - #### add

          public void add(T t)

      Specified by:
        `add` in interface `ListIterator<T>`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.